/* ObNull.c
 * Handle "parameter-less" apple events
 * 1992 Working Software, Inc.
 * This source code is copyrighted.  Permission is granted to use the Word Services
 * portion of the Writeswell Jr. source code in your own programs, but you 
 * may not distribute the Writeswell Jr. word-processor code as a 
 * commercial product.  If you modify the code, please do not call it 
 * Writeswell Jr. (or Writeswell.)  This will ensure that people understand the 
 * program and dont have to deal with a number of different versions with 
 * who-knows-what going on in the code.
 * 
 * Writeswell Jr. and Writeswell are trademarks of Working Software, Inc.
 * Copyright 1991 Working Software Inc.  All Rights Reserved.
 * 18 Dec 91 Mike Crawford
 */

#include <AppleEvents.h>
#include "TBConstants.h"
#include "TBGlobals.h"
#include "AppEvents.h"
#include "Gripe.h"
#include "ObNull.h"

OSErr NullOAPPHandler( AppleEvent *theAppleEventPtr, AppleEvent *replyEventPtr, long refCon );
OSErr NullQuitHandler( AppleEvent *theAppleEventPtr, AppleEvent *replyEventPtr, long refCon );

/* Hmm... This is almost object-oriented programming! */

OSErr DispatchNull( AEDesc *tokenPtr,
						AppleEvent *theAppleEventPtr,
						AppleEvent *replyEventPtr,
						long refCon )
{
	OSErr			err;
	AEEventClass	theClass;
	AEEventID		theID;
	
	/* This function is only for the Core suit.  Get the event ID from the appleEvent
	 */
	
	err = GetEventID( theAppleEventPtr, &theID );
	
	switch ( theID ){
		default:
			err = errAEEventNotHandled;
			break;
	}
	
	return noErr;
}
